# Phone Validation

### Phone Validation Version 1.1 <a href="#phone" id="phone"></a>

Takes one or more mobile phone numbers as an input and performs validation, returning a list of the results. The maximum number of input phone numbers is 100 per call.

Phone Validation coverage is global when full **international number format (ITU E.123)** is used. As example includes the '+' with the country code e.g.  '+61 412 123 456' or '+22 607 123 4567'.

See phone coverage to understand country coverage.

<mark style="background-color:orange;">**Changes from 16th October 2025:**</mark> <mark style="background-color:orange;"></mark><mark style="background-color:orange;">Phone validation was expanded to include landline and VoIP numbers, in addition to the current mobile phone validation for both business and personal use.</mark>

<mark style="background-color:orange;">**Added attributes:**</mark> <mark style="background-color:orange;"></mark><mark style="background-color:orange;">RequestProcessed, NumberType, PhoneNumber, NetworkCode, and IsValid.</mark>

#### Resource URL

```
    POST    https://hosted.mastersoftgroup.com/harmony/rest/au/validate/phone
```

#### Request

The request body is a[ PhoneRestRequest ](/loqate-harmony-api/api-specification/objects/phone-objects.md#phonerestrequest)object:

```
    {
        "payload": [ { "fullPhone": "0412345678", "country": "AU" } ]
    }
    
```

#### Response

The response body is a [PhoneRestResponse](/loqate-harmony-api/api-specification/objects/phone-objects.md#phonerestresponse) object:

```markup
    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "fullPhone": "0412345678",
                "country": "AU",
                "countryCode": "61",
                "areaCode": "",
                "localNumber": "0412 345 678",
                "operatorName": "Vodafone Australia",
                "phoneStatus": "connected|Network confirmed connection",
                "exception": "",
                "attributes": {
                    "RequestProcessed": "true",
                    "NumberType": "Mobile",
                    "PhoneNumber": "+61412345678",
                    "NetworkCode": "02",
                    "IsValid": "Yes"
                }
            }
        ]
    }
 
```

**Response Elements**

The response attributes are listed below. These are listed in the order expected when validating phones.

<table><thead><tr><th width="165.7777099609375">Element Name</th><th width="324.8890380859375">Description</th><th>Example</th></tr></thead><tbody><tr><td>fullPhone</td><td>The input phone number being validated.</td><td>0412345678</td></tr><tr><td>country</td><td>The ISO 3166-1 2-letter country code. </td><td>AU, NZ, GB, US</td></tr><tr><td>countryCode</td><td>Telephone number prefix.</td><td>+61</td></tr><tr><td>areaCode</td><td>No longer used as it is part of the localNumber.</td><td>null</td></tr><tr><td>localNumber</td><td>Local number is in the national format of the country,</td><td>0412 345 678</td></tr><tr><td>operatorName</td><td>Network name.</td><td>Vodafone Australia</td></tr><tr><td>phone Status</td><td>There are only three phone status returned.<br><strong>Connected</strong> - validated phone number and connected.<br><strong>Disconnected</strong> - validated number but not connected or cannot be reached.<br><strong>Indeterminate</strong> - number is invalid and returned error codes.</td><td><strong>Connected</strong>|Confirmed Connection<br><strong>Disconnected</strong>|Network confirmed disconnection<br><strong>Indeterminate</strong></td></tr><tr><td>exception</td><td>No longer used.</td><td>null</td></tr><tr><td>RequestProcessed</td><td>The request validation request has been processed.</td><td>true<br>false</td></tr><tr><td>NumberType</td><td>The number type can be mobile, landline or VOIP and includes special numbers.</td><td>Mobile <br>Landline <br>VOIP</td></tr><tr><td>PhoneNumber</td><td>Input number with the country code prefix.</td><td>+61412345678</td></tr><tr><td>NetworkCode</td><td>Network code assigned to the mobile provider.</td><td>03</td></tr><tr><td>IsValid</td><td><strong>Yes</strong> - number is valid and connected.<br><strong>No</strong> - several cases: (1) valid number but disconnected; (2) not a valid number and network cannot be determined.</td><td>Yes<br>No</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/phone-validation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
